=== debian/changelog ===
acl2 (6.2-6) unstable; urgency=low

  * fix elementary-bounders.acl2

 -- Camm Maguire <camm@debian.org>  Mon, 29 Jul 2013 18:54:53 +0000

acl2 (6.2-5) unstable; urgency=low

  * (setq si::*optimize-maximum-pages* nil) in elementary-bounders.acl2
  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 27 Jul 2013 12:49:46 +0000

acl2 (6.2-4) unstable; urgency=low

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 23 Jul 2013 18:11:51 +0000

acl2 (6.2-3) unstable; urgency=low

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 20 Jul 2013 02:21:17 +0000

acl2 (6.2-2) unstable; urgency=low

  * Add (in-package :acl2) preceeding save-exec in final cert image
    modification stage to support #-native-reloc targets

 -- Camm Maguire <camm@debian.org>  Mon, 15 Jul 2013 16:34:41 +0000

acl2 (6.2-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Thu, 11 Jul 2013 22:02:56 +0000

acl2 (6.1-6) unstable; urgency=low

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 02 Jul 2013 16:10:25 +0000

acl2 (6.1-5) unstable; urgency=low

  * reinstate skipped books and build depend on latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 21 Jun 2013 23:14:46 +0000

acl2 (6.1-4) unstable; urgency=low

  * skip books/centaur/vl/transforms/xf-sizing.lisp, which takes too much memory

 -- Camm Maguire <camm@debian.org>  Sun, 26 May 2013 03:50:49 +0000

acl2 (6.1-3) unstable; urgency=low

  * skip books/centaur/defrstobj/basic-tests.lisp, which takes too much memory

 -- Camm Maguire <camm@debian.org>  Thu, 23 May 2013 13:20:29 +0000

acl2 (6.1-2) unstable; urgency=low

  * skip elementary-bounders.lisp certification, which takes too much memory

 -- Camm Maguire <camm@debian.org>  Tue, 21 May 2013 17:15:51 +0000

acl2 (6.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Tue, 23 Apr 2013 14:52:39 +0000

acl2 (6.0-3) unstable; urgency=low

  * Lintian cleanups
  * certify centaur books with memory adjustments (lint.acl2, top.acl2)

 -- Camm Maguire <camm@debian.org>  Thu, 17 Jan 2013 23:12:05 +0000
