=== debian/control ===
Source: acl2
Section: math
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: gcl ( >= 2.6.7+dfsga-37 ), libgmp3-dev, libreadline-dev, emacs24 | emacsen, debhelper ( >= 5 ), texlive-latex-recommended, libxmu-dev, libxaw7-dev, time, tex-common
Standards-Version: 3.9.4

Package: acl2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: acl2-source, acl2-books
Suggests: acl2-emacs
Description: Computational Logic for Applicative Common Lisp: main binary
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the base ACL2 binary. 

Package: acl2-source
Architecture: all
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Depends: ${misc:Depends}	  
Description: Computational Logic for Applicative Common Lisp: source files
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the lisp source files to the main ACL2 binary.

Package: acl2-emacs
Architecture: all
Depends: acl2 (>= ${source:Version}), emacs24 | emacsen, ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: emacs interface
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains an emacs interface to ACL2.

Package: acl2-infix
Architecture: any
Recommends: acl2-infix-source (= ${source:Version})
Depends: acl2 (= ${binary:Version}), texlive-latex-recommended, ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: infix interface
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains utilities and libraries to access ACL2 via an
 infix notation similar to that used in many non-lisp programming
 languages.

Package: acl2-infix-source
Architecture: all
Depends: ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: infix source
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the source files to the infix interface to
 ACL2.

Package: acl2-books
Architecture: any
Depends: acl2 (= ${binary:Version}), acl2-books-certs (= ${source:Version}), acl2-books-source (= ${source:Version}), ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: compiled libraries
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains numerous precompiled and precertified libraries
 for use in proving theorems with ACL2.  Serious users will no doubt
 want to install this package.

Package: acl2-books-source
Architecture: all
Depends: acl2 (>= ${source:Version}), ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: library sources
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains source lisp files to the compiled libraries
 supplied in the ACL2-books package.

Package: acl2-books-certs
Architecture: all
Depends: acl2 (>= ${source:Version}), ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: library certificates
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This file contains certification records for the various precompiled
 libraries supplied in the ACL2-books package.  ACL2 essentially
 requires that all included books be certified before use.

Package: acl2-doc
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Architecture: all
Section: doc
Description: Computational Logic for Applicative Common Lisp: documentation
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the documentation for ACL2.
