## acl2 6.3

=== Makefile ===
--- 
+++ 
@@ -76,6 +76,10 @@
 #        typically the number of cores on your machine
 #    - <target> is optional and defaults to "all" when omitted,
 #        or names the target you want to build (see below).
+
+# Of course, the usual GNU make options are available.  In particular,
+# -k is useful for causing make to keep going when an error is
+# encountered (but return a non-zero error status at the end).
 
 # Major top-level targets:
 #   - `all' is the default
@@ -100,6 +104,10 @@
 #   - ACL2_BOOK_DIRS
 #     Augments the targets with all targets that have a prefix among
 #     this list of strings.
+#   - USE_QUICKLISP
+#     Set this if you want to build Quicklisp (which is sort of like
+#     CPAN or RubyGems but for Lisp).  Required for certain books in
+#     oslib.
 
 # Jared Davis has summarized the improvements over the earlier
 # Makefile as follows.
@@ -155,10 +163,18 @@
 #       default to simply (certify-book "foo" ? t)
 #     These instructions specify arguments to certify-book, for example:
 #       ; cert-flags: ? t :ttags :all
-#   - Books that depend on ACL2(h), such as centaur/tutorial/alu16-book.lisp,
-#     contain this line (or, a cert_param directive can be in the
-#     .acl2 file that is consulted, as discussed above):
-#       ; cert_param: (hons-only)
+#   - In the following cases, books may be skipped in which case,
+#     recursively, so are books that include such books, books that
+#     include those parent books, and so on.  In each case, the
+#     indicated line may be placed either in the .lisp file or in the
+#     .acl2 file that is consulted, as discussed above.
+#       - Books that depend on ACL2(h), such as
+#         centaur/tutorial/alu16-book.lisp, contain this line:
+#           ; cert_param: (hons-only)
+#       - Books that require glucose (a SAT solver) contain this line:
+#           ; cert_param: (uses-glucose)
+#       - Books that require quicklisp contain this line:
+#           ; cert_param: (uses-quicklisp)
 #   - Two-pass certification is handled as follows, for example in
 #     books/make-event/stobj-test.acl2 (as indicated above, this can
 #     also go into the book instead of the relevant .acl2 file):
@@ -190,6 +206,18 @@
 # should be something like: if you give a certify-book command, we use it;
 # otherwise we generate one using the cert-flags.
 
+# BUILDING THE XDOC MANUAL
+
+# The xdoc manual is built in centaur/manual/, top page index.html, as
+# a byproduct of building centaur/doc.cert with ACL2(h) using
+# USE_QUICKLISP=1 on the `make' command line.  This has been tested
+# using CCL on Linux, but may work for other OS/Lisp combinations.
+# See also centaur/README.html.  ACL2(h) is required for that build of
+# the xdoc manual, because it is required for some of the books
+# included in centaur/doc.lisp.  You can create a manual for your own
+# books using ACL2 or ACL2(h); see topic SAVE (parent topic XDOC) in
+# the xdoc manual, either in centaur/manual/ or on the web at
+# http://fv.centtech.com/acl2/latest/doc/.
 
 # STATUS / TODO LIST / MISSING FEATURES / BOZOS:
 #
@@ -218,7 +246,7 @@
 ##############################
 
 ifneq ($(ACL2_JOBS), )
-$(error Error: variable ACL2_JOBS is obsolete (use -j instead); see :DOC book-makefiles)
+${error Error: variable ACL2_JOBS is obsolete -- use -j instead -- see :DOC book-makefiles }
 endif # ifneq ($(ACL2_JOBS), )
 
 ACL2 ?= acl2
@@ -231,36 +259,3 @@
 
 # Keep this .PHONY target here, even though the main target
 # definitions come much later in the file, because we start defining
-# the "all" target (at least) well before then.  Also, keep "all:"
-# here so that "all" is the top target.
-.PHONY: all everything
-all:
-
-##############################
-### Section: Create auxiliary files (Makefile-xxx) and initial OK_CERTS
-##############################
-
-# It seems that info is defined starting in GNU make version 3.81.
-# But version 3.80 seems to tolerate calls of info, simply ignoring
-# them.  We could use a variable, as follows, so that you can set
-# INFO=warning on the command line if you want to see the messages
-# even with GNU make version 3.80.  But maybe this is too ugly, so we
-# just leave the idea as a comment.
-## INFO := info
-### Example: Prints something like "Makefile:227: just a test" when
-### invoked with INFO=warning; otherwise, same as $(info just a test).
-## $(eval $$($(INFO) just a test))
-
-ifndef NO_RESCAN
-
-# In the following, we exclude centaur/quicklisp explicitly rather
-# than using the usual cert_pl_exclude file, because centaur/quicklisp
-# uses cert.pl to certify books.  We exclude centaur/quicklisp
-# explicitly since when we do want to make it, it will use cert.pl and
-# hence we can't put a cert_pl_exclude file in that directory.  Some
-# others we exclude because there are subdirectories and it's simply
-# easiest to stop at the root.
-$(info Scanning for books...)
-REBUILD_MAKEFILE_BOOKS := $(shell \
-  rm -f Makefile-books; \
-  time find . -name "*.lisp" \
