=== add-ons/Makefile ===
include ../Makefile-generic

-include Makefile-deps
