=== arithmetic-2/Makefile ===
DIRS = pass1 meta floor-mod
include ../Makefile-subdirs
