=== arithmetic-5/Makefile ===
arith-top: top all
all: top

DIRS = support lib
include ../Makefile-subdirs
include ../Makefile-generic

-include Makefile-deps
