=== cgen/Makefile ===
ACL2_COMPILE_FLG := t :ttags :all
include ../Makefile-generic
-include Makefile-deps
