=== cutil/Makefile ===
include ../Makefile-generic
-include Makefile-deps

.PHONY: moreclean
moreclean:
	rm -rf *.time

clean: moreclean
