=== debian/changelog ===
acl2 (6.3-5) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 18 Oct 2013 16:10:57 +0000

acl2 (6.3-4) unstable; urgency=low

  * set HOME for mini-proveall make

 -- Camm Maguire <camm@debian.org>  Tue, 15 Oct 2013 14:12:15 +0000

acl2 (6.3-3) unstable; urgency=low

  * set HOME to $(pwd)

 -- Camm Maguire <camm@debian.org>  Mon, 14 Oct 2013 15:09:48 +0000

acl2 (6.3-2) unstable; urgency=low

  * build dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 12 Oct 2013 01:46:31 +0000

acl2 (6.3-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 02 Oct 2013 20:19:51 +0000

acl2 (6.2-8) unstable; urgency=low

  * Allow certification failures for 1) dlopen machines, as we cannot
    control the surpassed 1024 maximum dlopen limit, and 2) machines with
    an insufficient hard limit on data segment size (e.g. kfreebsd-i386, or any
    machine which cannot brk 1Gb).
  * add build-dep on texinfo
  * add upstream certificate relocation patch to other-events.lisp

 -- Camm Maguire <camm@debian.org>  Mon, 09 Sep 2013 15:27:04 +0000

acl2 (6.2-7) unstable; urgency=low

  * build-dep against latest gcl
  * again allow optimize-maximum-pages in elementary-bounders.acl2

 -- Camm Maguire <camm@debian.org>  Tue, 06 Aug 2013 11:30:55 +0000
