=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: gcl ( >= 2.6.7+dfsga-37 ), libgmp3-dev, libreadline-dev, emacs24 | emacsen, debhelper ( >= 5 ), texlive-latex-recommended, libxmu-dev, libxaw7-dev, time, tex-common
+Build-Depends: gcl ( >= 2.6.9-12 ), libgmp3-dev, libreadline-dev, emacs24 | emacsen, debhelper ( >= 5 ), texlive-latex-recommended, libxmu-dev, libxaw7-dev, time, tex-common, texinfo
 Standards-Version: 3.9.4
 
 Package: acl2
