=== debian/rules ===
--- 
+++ 
@@ -71,23 +71,25 @@
 	mv $@.gcl $@
 
 debian/mini-proveall.out: saved_acl2
-	$(MAKE) mini-proveall
+	HOME=$$(pwd) $(MAKE) mini-proveall
 	mv $(@F) $@
 
 books/short-test.log: saved_acl2.c
 	cp saved_acl2 saved_acl2.ori
-	$(MAKE) certify-books-short
+	HOME=$$(pwd) $(MAKE) certify-books-short
 	cp saved_acl2.ori saved_acl2
+
+#	tail -f --pid=$$j --retry $@ $$(find books -name "*.lisp" | sed 's,\.lisp$$,.out,1') & \
 
 debian/test.log: saved_acl2.c
 	mv saved_acl2 saved_acl2.ori
 	cp $< saved_acl2
 	BUILDDIR="$$(dirname $$(pwd))" \
 	FINALDIR="/usr/share/$(PD)" \
-	HOME="/tmp/" \
+	HOME=$$(pwd) \
 	$(MAKE) certify-books >$@ 2>&1 & j=$$! ; \
-	tail -f --pid=$$j --retry $@ $$(find books -name "*.lisp" | sed 's,\.lisp$$,.out,1') & \
-	wait $$j
+	while sleep 1800; do echo Tick; done & k=$$! ; tail -f debian/test.log & l=$! ; \
+	wait $$j ; kill $$k $$l
 	[ -f $@ ] && ! fgrep '**' $@ || echo FULL TEST FAILS
 	for i in $$(find books -name "*.out"); do \
 		if ! [ -e $${i%out}cert ] ; then \
@@ -96,7 +98,9 @@
 		fi ; \
 	done
 	mv saved_acl2.ori saved_acl2
-	[ -f $@ ] && ! fgrep '**' $@
+	[ -f $@ ] && ( ! fgrep '**' $@ || \
+	  gcl -batch -eval "(bye #+native-reloc 1)" || \
+	  [ $$(ulimit -d -H | sed 's,unlimited,1000000,g') -lt 1000000 ] )
 
 books/interface/infix/Makefile: books/interface/infix/makefile
 	sed -e "s,^DIR = .*,DIR = $$(pwd)/books/interface/infix,1" \
@@ -109,7 +113,7 @@
 	touch $@
 
 doc/TEX/acl2-book.ps.gz: saved_acl2
-	HOME="/tmp/" $(MAKE) DOC
+	HOME=$$(pwd) $(MAKE) DOC
 	rm -f doc/HTML/LICENSE
 	find doc -empty -exec rm {} \;
 
@@ -217,7 +221,3 @@
 	find books -name "*.cert" | grep -v fix-cert/moved | grep -v system/pcert | \
 		awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s.final usr/share/$(PD)/%s\n",$$1,a);}' >>$@
 	find books -name "*.pcert0.final" | \
-		awk '{a=$$1;sub(".pcert0.final",".cert",a);printf("%s usr/share/$(PD)/%s\n",$$1,a);}' >>$@
-
-debian/acl2-books-source.install:: 
-	find books -name "*.lisp" | awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/$(PD)/%s\n",$$1,a);}' >>$@
