=== debian/watch ===
version=2
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
opts=pasv ftp://ftp.cs.utexas.edu/pub/moore/acl2/	acl2-([0-9.]*)\.tar\.gz	debian	uupdate
